#
# spec file for package jpegdump
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           unyaffs
License:        GPL-2.0
Group:          System/Filesystems
%define svn_version 2
Version:        0.0.%{svn_version}
Release:        1.1
Summary:        Extract Files From a yaffs File System Image
Url:            http://code.google.com/p/unyaffs/
Source:         %{name}-svn%{svn_version}.tar.xz
# PATCH-FIX-OPENSUSE unyaffs-void.patch sbrabec@suse.cz -- Fix void return from non-void function.
Patch1:         %{name}-void.patch
# PATCH-FIX-OPENSUSE unyaffs-implicit-decl.patch sbrabec@suse.cz -- Fix implicit declaration.
Patch2:         %{name}-implicit-decl.patch
# PATCH-FIX-OPENSUSE unyaffs-bad-size.patch sbrabec@suse.cz -- Fix bad size of cleanup area.
Patch3:         %{name}-bad-size.patch
# PATCH-FIX-OPENSUSE unyaffs-errors.patch sbrabec@suse.cz -- Handle errors.
Patch4:         %{name}-errors.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Unyaffs is a program to extract files from a yaffs file system image. Now
it can only extract images created by mkyaffs2image. 

It is capable to extract ClockworkMod img files that cannot be extracted
by unyaffs2 from yaffs2utils.

%prep
%setup -q -n%{name}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
gcc -Wall -O2 $RPM_OPT_FLAGS unyaffs.c -o unyaffs

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install unyaffs $RPM_BUILD_ROOT%{_bindir}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_bindir}/*

%changelog
* Tue Nov 19 2013 sbrabec@suse.cz
- New package with svn version 2.
